Edit several chunks at once
curl --request POST \
--url https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"ops": [
{
"op": "update",
"id": "0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90",
"text": "Enterprise plans include a dedicated support line, available 24/7."
},
{
"op": "delete",
"id": "7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13"
},
{
"op": "insert",
"text": "Refunds are issued within 5 business days.",
"afterChunkId": "0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90"
}
]
}
'import requests
url = "https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch"
payload = { "ops": [
{
"op": "update",
"id": "0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90",
"text": "Enterprise plans include a dedicated support line, available 24/7."
},
{
"op": "delete",
"id": "7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13"
},
{
"op": "insert",
"text": "Refunds are issued within 5 business days.",
"afterChunkId": "0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ops: [
{
op: 'update',
id: '0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90',
text: 'Enterprise plans include a dedicated support line, available 24/7.'
},
{op: 'delete', id: '7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13'},
{
op: 'insert',
text: 'Refunds are issued within 5 business days.',
afterChunkId: '0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90'
}
]
})
};
fetch('https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ops' => [
[
'op' => 'update',
'id' => '0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90',
'text' => 'Enterprise plans include a dedicated support line, available 24/7.'
],
[
'op' => 'delete',
'id' => '7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13'
],
[
'op' => 'insert',
'text' => 'Refunds are issued within 5 business days.',
'afterChunkId' => '0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch"
payload := strings.NewReader("{\n \"ops\": [\n {\n \"op\": \"update\",\n \"id\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\",\n \"text\": \"Enterprise plans include a dedicated support line, available 24/7.\"\n },\n {\n \"op\": \"delete\",\n \"id\": \"7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13\"\n },\n {\n \"op\": \"insert\",\n \"text\": \"Refunds are issued within 5 business days.\",\n \"afterChunkId\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"ops\": [\n {\n \"op\": \"update\",\n \"id\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\",\n \"text\": \"Enterprise plans include a dedicated support line, available 24/7.\"\n },\n {\n \"op\": \"delete\",\n \"id\": \"7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13\"\n },\n {\n \"op\": \"insert\",\n \"text\": \"Refunds are issued within 5 business days.\",\n \"afterChunkId\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ops\": [\n {\n \"op\": \"update\",\n \"id\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\",\n \"text\": \"Enterprise plans include a dedicated support line, available 24/7.\"\n },\n {\n \"op\": \"delete\",\n \"id\": \"7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13\"\n },\n {\n \"op\": \"insert\",\n \"text\": \"Refunds are issued within 5 business days.\",\n \"afterChunkId\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Chunks saved successfully!",
"messageKey": "ChunksSavedSuccessfully",
"data": {
"totalChunks": 120,
"applied": 3
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Knowledge Base Routes
Batch Edit Knowledge Base Item Chunks
Applies up to 500 edits (update, delete, insert) in order, all or nothing: if one fails, none are saved. The changes are searchable after you index the item.
POST
/
v1
/
voice-agents
/
knowledge-base
/
{id}
/
chunks
/
batch
Edit several chunks at once
curl --request POST \
--url https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"ops": [
{
"op": "update",
"id": "0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90",
"text": "Enterprise plans include a dedicated support line, available 24/7."
},
{
"op": "delete",
"id": "7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13"
},
{
"op": "insert",
"text": "Refunds are issued within 5 business days.",
"afterChunkId": "0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90"
}
]
}
'import requests
url = "https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch"
payload = { "ops": [
{
"op": "update",
"id": "0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90",
"text": "Enterprise plans include a dedicated support line, available 24/7."
},
{
"op": "delete",
"id": "7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13"
},
{
"op": "insert",
"text": "Refunds are issued within 5 business days.",
"afterChunkId": "0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ops: [
{
op: 'update',
id: '0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90',
text: 'Enterprise plans include a dedicated support line, available 24/7.'
},
{op: 'delete', id: '7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13'},
{
op: 'insert',
text: 'Refunds are issued within 5 business days.',
afterChunkId: '0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90'
}
]
})
};
fetch('https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ops' => [
[
'op' => 'update',
'id' => '0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90',
'text' => 'Enterprise plans include a dedicated support line, available 24/7.'
],
[
'op' => 'delete',
'id' => '7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13'
],
[
'op' => 'insert',
'text' => 'Refunds are issued within 5 business days.',
'afterChunkId' => '0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch"
payload := strings.NewReader("{\n \"ops\": [\n {\n \"op\": \"update\",\n \"id\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\",\n \"text\": \"Enterprise plans include a dedicated support line, available 24/7.\"\n },\n {\n \"op\": \"delete\",\n \"id\": \"7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13\"\n },\n {\n \"op\": \"insert\",\n \"text\": \"Refunds are issued within 5 business days.\",\n \"afterChunkId\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"ops\": [\n {\n \"op\": \"update\",\n \"id\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\",\n \"text\": \"Enterprise plans include a dedicated support line, available 24/7.\"\n },\n {\n \"op\": \"delete\",\n \"id\": \"7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13\"\n },\n {\n \"op\": \"insert\",\n \"text\": \"Refunds are issued within 5 business days.\",\n \"afterChunkId\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v1/voice-agents/knowledge-base/{id}/chunks/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ops\": [\n {\n \"op\": \"update\",\n \"id\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\",\n \"text\": \"Enterprise plans include a dedicated support line, available 24/7.\"\n },\n {\n \"op\": \"delete\",\n \"id\": \"7c3e9b21-5a4d-4f6e-8b1c-2d9f0a6e4b13\"\n },\n {\n \"op\": \"insert\",\n \"text\": \"Refunds are issued within 5 business days.\",\n \"afterChunkId\": \"0f1a5c0e-2d9b-4f8a-9d3e-6b2c1a7e8f90\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Chunks saved successfully!",
"messageKey": "ChunksSavedSuccessfully",
"data": {
"totalChunks": 120,
"applied": 3
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Authorizations
Path Parameters
Body
application/json
Was this page helpful?